## ros-noetic-gazebo-msgs 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(gazebo_msgs)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  trajectory_msgs
  geometry_msgs
  sensor_msgs
  std_srvs
  message_generation
  )

add_message_files(
  DIRECTORY msg
  FILES
  ContactsState.msg
  ContactState.msg
  LinkState.msg
  LinkStates.msg
  ModelState.msg
  ModelStates.msg
  ODEJointProperties.msg
  ODEPhysics.msg
  PerformanceMetrics.msg
  SensorPerformanceMetric.msg
  WorldState.msg
  )

add_service_files(DIRECTORY srv FILES
  ApplyBodyWrench.srv
  DeleteModel.srv
  DeleteLight.srv
  GetLinkState.srv
  GetPhysicsProperties.srv
  SetJointProperties.srv
  SetModelConfiguration.srv
  SpawnModel.srv
  ApplyJointEffort.srv
  GetJointProperties.srv
  GetModelProperties.srv
  GetWorldProperties.srv
  SetLinkProperties.srv
  SetModelState.srv
  BodyRequest.srv
  GetLinkProperties.srv
  GetModelState.srv
  JointRequest.srv
  SetLinkState.srv
  SetPhysicsProperties.srv
  SetJointTrajectory.srv
  GetLightProperties.srv
  SetLightProperties.srv
  )

generate_messages(DEPENDENCIES
  std_msgs
  geometry_msgs
  sensor_msgs
  trajectory_msgs
  )

catkin_package(
  CATKIN_DEPENDS
  message_runtime
  std_msgs
  trajectory_msgs
  geometry_msgs
  sensor_msgs
  std_srvs
  )

=== debian/changelog ===
ros-noetic-gazebo-msgs (2.9.2-1focal) focal; urgency=high

  * [Noetic] Bridge to republish PerformanceMetrics in ROS (#1145 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1145>)
    Co-authored-by: Ian Chen <mailto:ichen@osrfoundation.org>
  * Contributors: Alejandro Hernández Cordero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-gazebo-msgs (2.9.1-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 May 2020 22:00:00 -0000

ros-noetic-gazebo-msgs (2.9.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#1066 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1066>)
  * add additional light options to 'set_light_properties' service (#874 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/874>)
    The optional 'Light' properties 'cast_shadows', 'specular', 'direction',
    and 'pose' are not optional any more. These properties are now set via the
    corresponding fields in the ROS message. By default, this will be 0.
    https://github.com/ros-simulation/gazebo_ros_pkgs/pull/874
  * Contributors: Alejandro Hernández Cordero, Christian Rauch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 May 2020 22:00:00 -0000

ros-noetic-gazebo-msgs (2.8.5-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 03 Jun 2019 22:00:00 -0000

ros-noetic-gazebo-msgs (2.8.4-1focal) focal; urgency=high

  * Correct documentation on SetModelConfiguration.srv
  * Contributors: Kevin Allen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-noetic-gazebo-msgs (2.8.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-noetic-gazebo-msgs (2.8.2-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-noetic-gazebo-msgs (2.8.1-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 May 2018 22:00:00 -0000

ros-noetic-gazebo-msgs (2.7.4-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-noetic-gazebo-msgs (2.7.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-noetic-gazebo-msgs (2.7.2-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 20 May 2017 22:00:00 -0000

ros-noetic-gazebo-msgs (2.7.1-1focal) focal; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Apr 2017 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.12-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.11-1focal) focal; urgency=high

  * Changed the spawn model methods to spawn also lights. (#511 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/511>)
  * Contributors: Alessandro Ambrosano

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Apr 2017 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.10-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Mar 2017 23:00:00 -0000

ros-noetic-gazebo-msgs (2.5.9-1focal) focal; urgency=high

  * Removed all trailing whitespace
  * Contributors: Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Feb 2017 23:00:00 -0000

ros-noetic-gazebo-msgs (2.5.8-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Dec 2016 23:00:00 -0000

ros-noetic-gazebo-msgs (2.5.7-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 09 Jun 2016 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.6-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Apr 2016 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.5-1focal) focal; urgency=high

  * merge indigo, jade to kinetic-devel
  * Update maintainer for Kinetic release
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Apr 2016 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.3-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Apr 2016 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.2-1focal) focal; urgency=high

  * merging from indigo-devel
  * 2.4.9
  * Generate changelog
  * GetModelState modification for jade
  * Contributors: John Hsu, Jose Luis Rivero, Markus Bader

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-noetic-gazebo-msgs (2.5.1-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-noetic-gazebo-msgs (2.5.0-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 29 Apr 2015 22:00:00 -0000

ros-noetic-gazebo-msgs (2.4.10-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-noetic-gazebo-msgs (2.4.9-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-noetic-gazebo-msgs (2.4.8-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-noetic-gazebo-msgs (2.4.7-1focal) focal; urgency=high

  * Update Gazebo/ROS tutorial URL
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-gazebo-msgs (2.4.6-1focal) focal; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 31 Aug 2014 22:00:00 -0000

ros-noetic-gazebo-msgs (2.4.5-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-gazebo-msgs
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-trajectory-msgs
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-noetic-gazebo-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-trajectory-msgs
Description: Message and service data structures for interacting with Gazebo from ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-gazebo-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
